aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-gtk2-ex-dashes/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-10-29 13:26:03 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-10-29 13:26:03 +0000
commit844baf810d265f16a48f7031c42c90d4f1feb8fd (patch)
tree7352fc1b4a938b3d230217cb35c9ca9ca09211ee /testing/perl-gtk2-ex-dashes/APKBUILD
parent1f3fcb31a0805aae2d4b7e4eb2fcf30523a1296d (diff)
downloadaports-844baf810d265f16a48f7031c42c90d4f1feb8fd.tar.gz
aports-844baf810d265f16a48f7031c42c90d4f1feb8fd.tar.bz2
aports-844baf810d265f16a48f7031c42c90d4f1feb8fd.tar.xz
testing/perl-gtk2-ex-dashes: new aport
Diffstat (limited to 'testing/perl-gtk2-ex-dashes/APKBUILD')
-rw-r--r--testing/perl-gtk2-ex-dashes/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-gtk2-ex-dashes/APKBUILD b/testing/perl-gtk2-ex-dashes/APKBUILD
new file mode 100644
index 0000000000..0444d22b38
--- /dev/null
+++ b/testing/perl-gtk2-ex-dashes/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-gtk2-ex-dashes
+_pkgreal=Gtk2-Ex-Dashes
+pkgver=2
+pkgrel=0
+pkgdesc="Widget drawing a line of dashes."
+url="http://search.cpan.org/dist/Gtk2-Ex-Dashes/"
+arch="noarch"
+license="open_source"
+cpandepends="perl-glib perl-gtk2 perl-pango"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/K/KR/KRYDE/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="0849b59eed8a8dac3ac2bb3867f52e85 Gtk2-Ex-Dashes-2.tar.gz"